MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
MyGUI::BackwardCompatibility Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

## Static Public Member Functions
static bool | checkProperty (Widget *_owner, std::string &_key, std::string &_value)
static void | initialise ()
static void | shutdown ()
static bool | isIgnoreProperty (const std::string &_key)
static std::string | getPropertyRename (const std::string &_propertyName)
static std::string | getFactoryRename (const std::string &_categoryName, const std::string &_factoryName)
static std::string | getSkinRename (const std::string &_skinName)
static void | registerWidgetTypes ()

## Detailed Description

Definition at line 557 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

bool MyGUI::BackwardCompatibility::checkProperty | ( | Widget * | _owner,
|  | std::string & | _key,
|  | std::string & | _value
| ) |  |
| static

Definition at line 1082 of file MyGUI_BackwardCompatibility.cpp.

std::string MyGUI::BackwardCompatibility::getFactoryRename | ( | const std::string & | _categoryName,
|  | const std::string & | _factoryName
| ) |  |
| static

Definition at line 1280 of file MyGUI_BackwardCompatibility.cpp.

std::string MyGUI::BackwardCompatibility::getPropertyRename | ( | const std::string & | _propertyName | ) |
| static

Definition at line 1270 of file MyGUI_BackwardCompatibility.cpp.

std::string MyGUI::BackwardCompatibility::getSkinRename | ( | const std::string & | _skinName | ) |
| static

Definition at line 1338 of file MyGUI_BackwardCompatibility.cpp.

void MyGUI::BackwardCompatibility::initialise | ( |  | ) |
| static

Definition at line 1161 of file MyGUI_BackwardCompatibility.cpp.

bool MyGUI::BackwardCompatibility::isIgnoreProperty | ( | const std::string & | _key | ) |
| static

Definition at line 1073 of file MyGUI_BackwardCompatibility.cpp.

void MyGUI::BackwardCompatibility::registerWidgetTypes | ( |  | ) |
| static

Definition at line 1358 of file MyGUI_BackwardCompatibility.cpp.

void MyGUI::BackwardCompatibility::shutdown | ( |  | ) |
| static

Definition at line 1351 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp